Search documentation of grizzly

# View Source Grizzly.ZWave.CommandClasses.WindowCovering (grizzly v7.4.2)

Window Covering Command Class

Command class for window coverings which can be openned or closed

# Summary

## Types

parameter_name()

## Functions

decode_parameter_name(byte)
encode_parameter_name(atom)

# Types

Link to this type

# parameter_name()

View Source

    @type parameter_name() ::
      :out_left
      | :out_left_positioned
      | :out_right
      | :out_right_positioned
      | :in_left
      | :in_left_positioned
      | :in_right
      | :in_right_positioned
      | :in_right_left
      | :in_right_left_positioned
      | :angle_vertical_slats
      | :angle_vertical_slats_positioned
      | :out_bottom
      | :out_bottom_positioned
      | :out_top
      | :out_top_positioned
      | :in_bottom
      | :in_bottom_positioned
      | :in_top
      | :in_top_positioned
      | :in_top_bottom
      | :in_top_bottom_positioned
      | :angle_horizontal_slats
      | :angle_horizontal_slats_positioned

# Functions

Link to this function

# decode_parameter_name(byte)

View Source

    @spec decode_parameter_name(byte()) ::
      {:ok, parameter_name()} | {:error, Grizzly.ZWave.DecodeError.t()}

Link to this function

# encode_parameter_name(atom)

View Source

    @spec encode_parameter_name(parameter_name()) :: byte()